NE_SSL_SET_PROTOVERS(3)

NAME
ne_ssl_set_protovers - set session SSL/TLS minimum or maximum protocol version

SYNOPSIS

#include <ne_session.h>

int ne_ssl_set_protovers(ne_session *sess, enum ne_ssl_protocol min, enum ne_ssl_protocol max);

DESCRIPTION

The ne_ssl_set_protovers function sets the minimum and/or maximum SSL/TLS version. Either minimum and/or maximum may be specified as NE_SSL_PROTO_UNSPEC, in which case no limit is imposed.

RETURN VALUE

The ne_ssl_set_protovers function returns zero on success or non-zero on error. Errors include an invalid range (minimum above maximum), or if the protocol version is not supported by the SSL/TLS toolkit in use, or if SSL/TLS is not in use for the session.

HISTORY

ne_ssl_set_protovers is available in neon 0.34.0 and later.

SEE ALSO

ne_ssl_proto_name, ne_session_create.

COPYRIGHT
Copyright © 2001-2024 Joe Orton